"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconIndicatorWrapper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const classnames_1 = __importDefault(require("classnames"));
const react_1 = require("react");
exports.IconIndicatorWrapper = (0, react_1.forwardRef)(({ children, type, className, style, htmlAttributes }, ref) => {
    const classes = (0, classnames_1.default)('ndl-icon-indicator-wrapper', className);
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ ref: ref, className: classes, style: style }, htmlAttributes, { children: [children, (0, jsx_runtime_1.jsx)(IconIndicator, { type: type })] })));
});
const IconIndicator = ({ type = 'info' }) => {
    const classes = (0, classnames_1.default)('ndl-icon-indicator', {
        'ndl-danger': type === 'danger',
        'ndl-info': type === 'info',
        'ndl-warning': type === 'warning',
    });
    return ((0, jsx_runtime_1.jsx)("svg", { width: "5", height: "5", viewBox: "0 0 5 5", fill: "none", xmlns: "http://www.w3.org/2000/svg", className: classes, children: (0, jsx_runtime_1.jsx)("circle", { cx: "2.5", cy: "2.5", r: "2.5" }) }));
};
exports.IconIndicatorWrapper.displayName = 'IconIndicatorWrapper';
//# sourceMappingURL=IconIndicatorWrapper.js.map