/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Full = exports.RightContent = exports.CleanItems = exports.MultipleExpanded = exports.SingleExpanded = exports.Default = void 0;
const index_1 = require("../../index");
const _1 = require("./");
const componentMeta = {
    title: 'Components/Accordion',
    id: 'components-accordion',
    component: index_1.Accordion,
    tags: ['docsPage'],
    parameters: {
        controls: { disable: true },
    },
};
exports.default = componentMeta;
exports.Default = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: _1.AccordionDefault,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionDefaultSrc,
            },
        },
    },
};
exports.SingleExpanded = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: _1.AccordionSingleExpanded,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionSingleExpandedSrc,
            },
        },
    },
};
exports.MultipleExpanded = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: _1.AccordionMultipleExpanded,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionMultipleExpandedSrc,
            },
        },
    },
};
exports.CleanItems = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: _1.AccordionCleanItems,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionCleanItemsSrc,
            },
        },
    },
};
exports.RightContent = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: _1.AccordionRightContent,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionRightContentSrc,
            },
        },
    },
};
exports.Full = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.AccordionFullSrc,
            },
        },
    },
    render: _1.AccordionFull,
};
//# sourceMappingURL=accordion.stories.js.map