"use strict";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithoutTitle = exports.WithActions = exports.Global = exports.Closeable = exports.WithIcons = exports.Types = void 0;
const index_1 = require("../../index");
const _1 = require("./");
const componentMeta = {
    title: 'Components/Banner',
    id: 'components-banner',
    component: index_1.Banner,
    tags: ['docsPage'],
    parameters: {
        controls: { disable: true },
    },
};
exports.default = componentMeta;
exports.Types = {
    args: {},
    render: _1.BannerTypes,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerTypesSrc,
            },
        },
    },
};
exports.WithIcons = {
    args: {},
    render: _1.BannerWithIcons,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerWithIconsSrc,
            },
        },
    },
};
exports.Closeable = {
    args: {},
    render: _1.BannerCloseable,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerCloseableSrc,
            },
        },
    },
};
exports.Global = {
    args: {},
    render: _1.BannerGlobal,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerGlobalSrc,
            },
        },
    },
};
exports.WithActions = {
    args: {},
    render: _1.BannerWithActions,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerWithActionsSrc,
            },
        },
    },
};
exports.WithoutTitle = {
    args: {},
    render: _1.BannerWithoutTitle,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: _1.BannerWithoutTitleSrc,
            },
        },
    },
};
//# sourceMappingURL=banner.stories.js.map