"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = __importDefault(require("react"));
const RadioAndCheckboxWrapper_1 = __importDefault(require("../_common/input/RadioAndCheckboxWrapper"));
/**
 *
 *
 * Helpers
 *
 *
 */
/** Add any helper functions here. */
/**
 *
 *
 * Checkbox Component
 *
 *
 */
exports.Checkbox = react_1.default.forwardRef(({ ariaLabel, isChecked, hasLabelBefore, label, isDisabled, isReadOnly, isDefaultChecked, isFluid, onClick, onChange, className, style, value, htmlAttributes, }, ref) => {
    if (!ariaLabel && !label) {
        console.warn('To be accessible the input component requires either `aria-label` or `label` prop: https://dequeuniversity.com/rules/axe/4.2/label?application=axeAPI');
    }
    return ((0, jsx_runtime_1.jsx)(RadioAndCheckboxWrapper_1.default, { label: label, ariaLabel: ariaLabel, ref: ref, type: "checkbox", isDefaultChecked: isDefaultChecked, isDisabled: isDisabled, isChecked: isChecked, isReadOnly: isReadOnly, isFluid: isFluid, hasLabelBefore: hasLabelBefore, onClick: onClick, onChange: onChange, className: className, value: value, style: style, htmlAttributes: Object.assign({ role: 'checkbox' }, htmlAttributes) }));
});
exports.Checkbox.displayName = 'Checkbox';
//# sourceMappingURL=Checkbox.js.map