"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Code = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = __importStar(require("react"));
const react_syntax_highlighter_1 = require("react-syntax-highlighter");
const prism_1 = require("react-syntax-highlighter/dist/cjs/styles/prism");
const CodeBlockWrapper_1 = require("../_common/CodeBlockWrapper");
const defaultImports_1 = require("../_common/defaultImports");
const conditional_wrap_1 = require("../conditional-wrap");
const theme_1 = require("../theme");
const tooltip_1 = require("../tooltip");
const ndl_code_dark_1 = __importDefault(require("./themes/ndl-code-dark"));
const ndl_code_light_1 = __importDefault(require("./themes/ndl-code-light"));
const loadLanguage = (language) => {
    /* need to import the languages dynamically to reduce the bundle size and need to use a string literal for proper tree shaking */
    switch (language) {
        case 'asciidoc':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/asciidoc')));
        case 'bash':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/bash')));
        case 'c':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/c')));
        case 'csharp':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/csharp')));
        case 'css':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/css')));
        case 'css-extras':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/css-extras')));
        case 'cypher':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/cypher')));
        case 'docker':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/docker')));
        case 'json':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/json')));
        case 'go':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/go')));
        case 'graphql':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/graphql')));
        case 'java':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/java')));
        case 'javadoc':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/javadoc')));
        case 'javascript':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/javascript')));
        case 'jsx':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/jsx')));
        case 'kotlin':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/kotlin')));
        case 'php':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/php')));
        case 'python':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/python')));
        case 'regex':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/regex')));
        case 'rust':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/rust')));
        case 'sql':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/sql')));
        case 'typescript':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/typescript')));
        case 'xml':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/xml-doc')));
        case 'yaml':
            return Promise.resolve().then(() => __importStar(require('react-syntax-highlighter/dist/esm/languages/prism/yaml')));
        default:
            throw new Error(`Unsupported language: ${language}`);
    }
};
exports.Code = react_1.default.forwardRef(function Code({ maxHeight, code, language, showLineNumbers, theme, headerTitle, actions, isDisabled, type = 'block', isRunnable = false, onClick, tooltipText, as, className, style, htmlAttributes, }, ref) {
    const [shouldShowExpandButton, setShouldShowExpandButton] = (0, react_1.useState)(maxHeight !== undefined);
    const { theme: ndlTheme } = (0, theme_1.useNeedleTheme)();
    const [loadedLanguage, setLoadedLanguage] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        if (language === undefined || language === 'text') {
            setLoadedLanguage('text');
            return;
        }
        loadLanguage(language)
            .then((module) => {
            react_syntax_highlighter_1.PrismLight.registerLanguage(language, module.default);
            setLoadedLanguage(language);
        })
            // TODO: add visual feedback for the user
            .catch((err) => console.error(err));
    }, [language]);
    const Component = as !== null && as !== void 0 ? as : (onClick ? 'button' : 'span');
    const getTheme = () => {
        switch (theme) {
            case 'ndl-code-dark':
                return ndl_code_dark_1.default;
            case 'ndl-code-light':
                return ndl_code_light_1.default;
            case 'vs':
                return prism_1.vs;
            case 'base16-ateliersulphurpool.light':
                return prism_1.base16AteliersulphurpoolLight;
            case 'coy':
                return prism_1.coy;
            case 'duotone-light':
                return prism_1.duotoneLight;
            case 'ghcolors':
                return prism_1.ghcolors;
            case 'prism':
                return prism_1.prism;
            case 'solarizedlight':
                return prism_1.solarizedlight;
            default:
                return ndlTheme === 'light' ? ndl_code_light_1.default : ndl_code_dark_1.default;
        }
    };
    const calculateRightPadding = (() => {
        var _a;
        if (headerTitle === undefined || headerTitle === '') {
            const expandButtonCount = shouldShowExpandButton ? 1 : 0;
            const actionCount = (_a = actions === null || actions === void 0 ? void 0 : actions.length) !== null && _a !== void 0 ? _a : 0;
            return Math.max(actionCount * 36, expandButtonCount * 36) + 8;
        }
    })();
    const handleClick = (e) => {
        if (isDisabled === true) {
            e.preventDefault();
            return;
        }
        onClick === null || onClick === void 0 ? void 0 : onClick(e);
    };
    const inlineClasses = (0, defaultImports_1.classNames)('ndl-inline-code', {
        'ndl-disabled': isDisabled,
        'ndl-runnable': isRunnable,
    }, className);
    if (type === 'inline') {
        return ((0, jsx_runtime_1.jsx)(conditional_wrap_1.ConditionalWrap, { shouldWrap: tooltipText !== undefined, wrap: (children) => ((0, jsx_runtime_1.jsxs)(tooltip_1.Tooltip, { type: "simple", children: [(0, jsx_runtime_1.jsx)(tooltip_1.Tooltip.Trigger, { hasButtonWrapper: Component === 'button', children: children }), (0, jsx_runtime_1.jsx)(tooltip_1.Tooltip.Content, { children: tooltipText })] })), children: (0, jsx_runtime_1.jsx)(Component, Object.assign({ className: inlineClasses, style: style, onClick: handleClick, disabled: isDisabled, ref: ref }, htmlAttributes, { children: (0, jsx_runtime_1.jsx)("code", { children: code }) })) }));
    }
    return ((0, jsx_runtime_1.jsx)(CodeBlockWrapper_1.CodeBlockWrapper, Object.assign({ className: className, style: style, ref: ref, maxHeight: maxHeight, code: code, headerTitle: headerTitle, isDisabled: isDisabled, actions: actions, shouldShowExpandButton: shouldShowExpandButton, setShouldShowExpandButton: setShouldShowExpandButton }, htmlAttributes, { children: (0, jsx_runtime_1.jsx)(react_syntax_highlighter_1.PrismLight, { language: loadedLanguage || 'text', style: Object.assign(Object.assign({}, getTheme()), { 'pre[class*="language-"]': {
                    border: 0,
                    color: 'rgb(var(--theme-palette-neutral-text-default))',
                    lineHeight: '1',
                    padding: `0 ${calculateRightPadding !== null && calculateRightPadding !== void 0 ? calculateRightPadding : 0}px 0.75em ${showLineNumbers === true ? 0 : 0.75}em`,
                    width: 'fit-content',
                } }), 
            // Turn on 'showLineNumbers' & 'wrapLongLines' at the same time, the display is wrong
            // https://github.com/react-syntax-highlighter/react-syntax-highlighter/issues/402
            // wrapLongLines
            codeTagProps: { className: 'n-code' }, showLineNumbers: showLineNumbers, children: code }) })));
});
//# sourceMappingURL=Code.js.map