/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomSwatches = exports.WithoutEyeDropper = exports.Full = void 0;
const ColorPicker_1 = require("../ColorPicker");
const _1 = require(".");
const componentMeta = {
    component: ColorPicker_1.ColorPicker,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/ColorPicker',
    id: 'components-color-picker',
};
exports.default = componentMeta;
exports.Full = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.ColorPickerFullSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.ColorPickerFull,
};
exports.WithoutEyeDropper = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.ColorPickerWithoutEyeDropperSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.ColorPickerWithoutEyeDropper,
};
exports.CustomSwatches = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.ColorPickerCustomSwatchesSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.ColorPickerCustomSwatches,
};
//# sourceMappingURL=color-picker.stories.js.map