/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataGridContext = void 0;
exports.useDataGridContext = useDataGridContext;
const react_1 = require("react");
// eslint-disable-next-line @typescript-eslint/no-explicit-any
exports.DataGridContext = (0, react_1.createContext)(null);
function useDataGridContext() {
    const context = (0, react_1.useContext)(exports.DataGridContext);
    if (!context) {
        throw new Error('useDataGridContext should be used under Table component provider');
    }
    return context;
}
//# sourceMappingURL=DataGridContext.js.map