"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Divider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const classnames_1 = __importDefault(require("classnames"));
const react_1 = require("react");
exports.Divider = (0, react_1.forwardRef)(function Divider({ orientation = 'horizontal', as, style, className, htmlAttributes, }, ref) {
    const classes = (0, classnames_1.default)('ndl-divider', className, {
        'ndl-divider-horizontal': orientation === 'horizontal',
        'ndl-divider-vertical': orientation === 'vertical',
    });
    const Component = as || 'div';
    return ((0, jsx_runtime_1.jsx)(Component, Object.assign({ className: classes, style: style, role: "separator", "aria-orientation": orientation, ref: ref }, htmlAttributes)));
});
//# sourceMappingURL=Divider.js.map