"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = __importDefault(require("react"));
const defaultImports_1 = require("../_common/defaultImports");
const icons_1 = require("../icons");
/**
 *
 *
 * DropdownButton Component
 *
 *
 */
exports.DropdownButton = react_1.default.forwardRef(function DropdownButton({ as, children, size = 'medium', isDisabled, isFloating = false, leftIcon, isOpen = false, onClick, className, style, htmlAttributes, }, ref) {
    const classes = (0, defaultImports_1.classNames)('ndl-dropdown-btn', className, {
        'ndl-small': size === 'small',
        'ndl-medium': size === 'medium',
        'ndl-large': size === 'large',
        'ndl-disabled': isDisabled,
        'ndl-floating-btn': isFloating,
        'ndl-open': isOpen,
    });
    const Component = as || 'button';
    return ((0, jsx_runtime_1.jsxs)(Component, Object.assign({ className: classes, disabled: isDisabled, onClick: onClick, ref: ref, style: style }, htmlAttributes, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "ndl-dropdown-btn-left-wrapper", children: [leftIcon && leftIcon, children] }), isOpen ? ((0, jsx_runtime_1.jsx)(icons_1.ChevronUpIconOutline, { className: "n-size-token-6 ndl-dropdown-button-open-icon" })) : ((0, jsx_runtime_1.jsx)(icons_1.ChevronDownIconOutline, { className: "n-size-token-6 ndl-dropdown-button-closed-icon" }))] })));
});
//# sourceMappingURL=DropdownButton.js.map