"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShowAll = ShowAll;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = require("@neo4j-ndl/react");
const react_2 = require("react");
const button_group_1 = require("./button-group");
const isThunkComponent = (t) => typeof t === 'function';
function ShowAll({ initiallyShown, children, isButtonGroup, }) {
    const [isExpanded, setIsExpanded] = (0, react_2.useState)(false);
    const toggleExpanded = () => setIsExpanded((e) => !e);
    const itemCount = children.length;
    const shouldHaveControls = itemCount > initiallyShown;
    const shown = isExpanded ? itemCount : initiallyShown;
    const leftToShow = itemCount - shown;
    if (itemCount === 0) {
        return null;
    }
    const currentChildren = children
        .slice(0, shown)
        .map((c) => (isThunkComponent(c) ? c() : c));
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [isButtonGroup === true ? ((0, jsx_runtime_1.jsx)(button_group_1.ButtonGroup, { children: currentChildren })) : ((0, jsx_runtime_1.jsx)("div", { style: { all: 'inherit' }, children: currentChildren })), shouldHaveControls && ((0, jsx_runtime_1.jsx)(react_1.Button, { fill: "text", size: "small", onClick: toggleExpanded, children: isExpanded ? 'Show less' : `Show all (${leftToShow} more)` }))] }));
}
//# sourceMappingURL=show-all.js.map