"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleSelectionSidepanelContents = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = require("react");
const graph_visualization_context_1 = require("../graph-visualization-context");
const details_panel_1 = require("./details-panel");
const overview_panel_1 = require("./overview-panel");
const SingleSelectionSidepanelContents = () => {
    const { selected } = (0, graph_visualization_context_1.useGraphVisualizationContext)();
    const hasSelection = (0, react_1.useMemo)(() => selected.nodeIds.length > 0 || selected.relationshipIds.length > 0, [selected]);
    return hasSelection ? (0, jsx_runtime_1.jsx)(details_panel_1.DetailsPanel, {}) : (0, jsx_runtime_1.jsx)(overview_panel_1.OverviewPanel, {});
};
exports.SingleSelectionSidepanelContents = SingleSelectionSidepanelContents;
//# sourceMappingURL=single-selection-sidepanel-contents.js.map