"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.containerClasses = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = require("@neo4j-ndl/react");
const react_2 = require("react");
const graph_visualization_1 = require("../graph-visualization");
const single_selection_sidepanel_contents_1 = require("../sidepanel-components/single-selection-sidepanel-contents");
const nodes = [
    {
        id: 'node1',
        labels: ['Pokemon', 'Legendary'],
        properties: {
            durationToWinBattle: {
                stringified: 'P0M0DT0.000000001S',
                type: 'duration',
            },
            favoriteColors: {
                stringified: '["red", "blue", "green"]',
                type: 'list',
            },
            getsBeatBy: {
                stringified: 'null',
                type: 'null',
            },
            isAwesome: {
                stringified: 'true',
                type: 'boolean',
            },
            location: {
                stringified: 'point({srid:1, x:100, y:200, z:300})',
                type: 'point',
            },
            name: {
                stringified: '"Rayquaza"',
                type: 'string',
            },
            weight: {
                stringified: '392.0',
                type: 'float',
            },
        },
    },
    {
        id: 'node2',
        labels: ['Type'],
        properties: { name: { stringified: 'Dragon', type: 'String' } },
    },
    {
        id: 'node3',
        labels: ['Type'],
        properties: { name: { stringified: 'Flying', type: 'String' } },
    },
];
const rels = [
    {
        from: 'node1',
        id: 'rel1',
        properties: {},
        to: 'node2',
        type: 'HAS_TYPE',
    },
    {
        from: 'node1',
        id: 'rel2',
        properties: {},
        to: 'node3',
        type: 'HAS_TYPE',
    },
];
exports.containerClasses = 'n-w-full n-border-palette-neutral-border-weak n-mx-2 n-rounded-lg n-border';
const Component = () => {
    const [isOpen, setIsOpen] = (0, react_2.useState)(true);
    const [gesture, setGesture] = (0, react_2.useState)('box');
    return ((0, jsx_runtime_1.jsx)("div", { style: { height: '600px' }, children: (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization, { gesture: gesture, setGesture: setGesture, bottomLeftIsland: (0, jsx_runtime_1.jsxs)(react_1.IconButtonArray, { children: [(0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.LassoSelectButton, {}), (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.SingleSelectButton, {}), (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.BoxSelectButton, {})] }), bottomRightIsland: (0, jsx_runtime_1.jsxs)(react_1.IconButtonArray, { children: [(0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.ZoomInButton, {}), (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.ZoomOutButton, {}), (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.ZoomToFitButton, {})] }), nodes: nodes, rels: rels, sidepanel: {
                children: (0, jsx_runtime_1.jsx)(single_selection_sidepanel_contents_1.SingleSelectionSidepanelContents, {}),
                isSidePanelOpen: isOpen,
                onSidePanelResize: () => {
                    /* no op */
                },
                setIsSidePanelOpen: setIsOpen,
                sidePanelWidth: 300,
            }, topLeftIsland: (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.DownloadButton, {}), topRightIsland: (0, jsx_runtime_1.jsx)(graph_visualization_1.GraphVisualization.ToggleSidePanelButton, {}), className: exports.containerClasses }) }));
};
exports.default = Component;
//# sourceMappingURL=graph-visualization-maximalist.story.js.map