"use strict";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomIslands = exports.Maximalist = exports.Barebones = exports.Default = void 0;
const _1 = require(".");
const componentMeta = {
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Next/GraphVisualization',
    id: 'components-next-graph-visualization',
};
exports.default = componentMeta;
exports.Default = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.GraphVisualizationDefaultSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.GraphVisualizationDefault,
};
exports.Barebones = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.GraphVisualizationBarebonesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.GraphVisualizationBarebones,
};
exports.Maximalist = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.GraphVisualizationMaximalistSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.GraphVisualizationMaximalist,
};
exports.CustomIslands = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.GraphVisualizationCustomSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.GraphVisualizationCustom,
};
//# sourceMappingURL=graph-visualization.stories.js.map