"use strict";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ellipses = exports.MultiStepNavigation = exports.PageNavigation = exports.HeaderNavigation = void 0;
const breadcrumbs_1 = require("@neo4j-ndl/react/next/breadcrumbs");
const _1 = require(".");
const componentMeta = {
    component: breadcrumbs_1.Breadcrumbs,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Next/Breadcrumbs',
    id: 'components-next-breadcrumbs',
};
exports.default = componentMeta;
exports.HeaderNavigation = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.BreadcrumbsHeaderSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.BreadcrumbsHeader,
};
exports.PageNavigation = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.BreadcrumbsPagesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.BreadcrumbsPages,
};
exports.MultiStepNavigation = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.BreadcrumbsStepsSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.BreadcrumbsSteps,
};
exports.Ellipses = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.BreadcrumbsEllipsesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.BreadcrumbsEllipses,
};
//# sourceMappingURL=breadcrumbs.stories.js.map