"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
require("@neo4j-ndl/base/lib/neo4j-ds-styles.css");
const react_1 = require("@neo4j-ndl/react");
const icons_1 = require("@neo4j-ndl/react/icons");
const next_1 = require("@neo4j-ndl/react/next");
const react_2 = require("react");
const Component = () => {
    const [selected, setSelected] = (0, react_2.useState)('nav-item-8');
    const [secondarySelected, setSecondarySelected] = (0, react_2.useState)('beginner');
    const [isExpanded, setIsExpanded] = (0, react_2.useState)(false);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "n-h-[calc(40vh-32px)] n-min-h-[700px] n-flex n-bg-palette-neutral-bg-default n-overflow-hidden", children: [(0, jsx_runtime_1.jsxs)(next_1.SideNavigation, { isExpanded: isExpanded, shouldExpandOnHover: true, pinButtonCallback: () => setIsExpanded(!isExpanded), children: [(0, jsx_runtime_1.jsxs)(next_1.SideNavigation.List, { children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.HomeIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-1', htmlAttributes: {
                                    onClick: () => {
                                        setSelected('nav-item-1');
                                    },
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.CodeBracketIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-2', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-2'),
                                } })] }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.Divider, {}), (0, jsx_runtime_1.jsxs)(next_1.SideNavigation.List, { children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.ServerIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-3', htmlAttributes: {
                                    onClick: () => {
                                        setSelected('nav-item-3');
                                    },
                                } }), (0, jsx_runtime_1.jsxs)(next_1.SideNavigation.CategoryItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.WrenchScrewdriverIconOutline, {}), label: "Category Item", isSelected: ['nav-item-4', 'nav-item-5'].includes(selected), children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.MagnifyingGlassIconOutline, {}), label: "Nested Nav Item", isSelected: selected === 'nav-item-4', htmlAttributes: {
                                            onClick: () => {
                                                setSelected('nav-item-4');
                                            },
                                        } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.MagnifyingGlassIconOutline, {}), label: "Nested Nav Item", isSelected: selected === 'nav-item-5', htmlAttributes: {
                                            onClick: () => setSelected('nav-item-5'),
                                        } })] }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.ChartBarIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-6', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-6'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.Cog6ToothIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-7', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-7'),
                                } })] }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.Divider, {}), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.List, { children: (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { icon: (0, jsx_runtime_1.jsx)(icons_1.AcademicCapIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-8', htmlAttributes: {
                                onClick: () => setSelected('nav-item-8'),
                            } }) })] }), (0, jsx_runtime_1.jsxs)(next_1.SideNavigation, { isExpanded: true, shouldExpandOnHover: false, expandedWidth: 220, children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.CategoryHeader, { children: "Category Header" }), (0, jsx_runtime_1.jsxs)(next_1.SideNavigation.List, { children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", isSelected: secondarySelected === 'secondary-nav-item-1', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-1'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", isSelected: secondarySelected === 'secondary-nav-item-2', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-2'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", isSelected: secondarySelected === 'secondary-nav-item-3', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-3'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", isSelected: secondarySelected === 'secondary-nav-item-4', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-4'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", isSelected: secondarySelected === 'secondary-nav-item-5', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-5'),
                                } })] }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.CategoryHeader, { children: "Category Header" }), (0, jsx_runtime_1.jsxs)(next_1.SideNavigation.List, { children: [(0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", icon: (0, jsx_runtime_1.jsx)(icons_1.MagnifyingGlassIconOutline, {}), isSelected: secondarySelected === 'secondary-nav-item-6', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-6'),
                                } }), (0, jsx_runtime_1.jsx)(next_1.SideNavigation.NavItem, { label: "Secondary Nav Item", icon: (0, jsx_runtime_1.jsx)(icons_1.MagnifyingGlassIconOutline, {}), isSelected: secondarySelected === 'secondary-nav-item-7', htmlAttributes: {
                                    onClick: () => setSecondarySelected('secondary-nav-item-7'),
                                } })] })] }), (0, jsx_runtime_1.jsx)("div", { className: "n-h-full n-w-full", children: (0, jsx_runtime_1.jsx)("div", { className: "n-flex n-flex-col n-p-8 n-w-full n-max-w-[1024px] n-mx-auto", children: (0, jsx_runtime_1.jsxs)("div", { className: "n-flex n-flex-col n-gap-token-4 n-bg-palette-neutral-bg-weak n-p-token-8 n-rounded-lg n-items-center n-justify-center", children: [(0, jsx_runtime_1.jsx)(react_1.Typography, { variant: "h6", children: "Secondary Side Nav" }), (0, jsx_runtime_1.jsx)(react_1.Typography, { variant: "body-medium", children: "If a page requires its own navigation, you can use a secondary side nav. The secondary side nav is always expanded and does not have a pin button." })] }) }) })] }));
};
exports.default = Component;
//# sourceMappingURL=side-nav-secondary.story.js.map