"use strict";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithBadges = exports.WithSecondaryNav = exports.Compact = exports.Default = void 0;
const index_1 = require("../index");
const _1 = require(".");
const componentMeta = {
    component: index_1.SideNavigation,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Next/SideNavigation',
    id: 'components-next-side-navigation',
};
exports.default = componentMeta;
exports.Default = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SideNavDefaultSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.SideNavDefault,
};
exports.Compact = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SideNavCompactSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.SideNavCompact,
};
exports.WithSecondaryNav = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SideNavSecondarySrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.SideNavSecondary,
};
exports.WithBadges = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SideNavBadgesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: _1.SideNavBadges,
};
//# sourceMappingURL=side-nav.stories.js.map