"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = __importDefault(require("react"));
const defaultImports_1 = require("../_common/defaultImports");
exports.ProgressBar = react_1.default.forwardRef(function ProgressBar({ as, heading, value, size = 'small', className, style, htmlAttributes, }, ref) {
    const classes = (0, defaultImports_1.classNames)('ndl-progress-bar-wrapper', className, {
        'ndl-small': size === 'small',
        'ndl-large': size === 'large',
    });
    const Component = as || 'div';
    return ((0, jsx_runtime_1.jsxs)(Component, Object.assign({ className: classes, style: style, ref: ref }, htmlAttributes, { children: [heading && ((0, jsx_runtime_1.jsxs)("div", { className: "ndl-header", children: [(0, jsx_runtime_1.jsx)("span", { className: "ndl-heading", children: heading }), (0, jsx_runtime_1.jsx)("span", { className: "ndl-progress-number", children: value + '%' })] })), (0, jsx_runtime_1.jsx)("div", { className: "ndl-progress-bar-container", role: "progressbar", title: "progress bar", "aria-valuemin": 0, "aria-valuemax": 100, "aria-valuenow": value, children: (0, jsx_runtime_1.jsx)("div", { className: "ndl-progress-bar", style: { width: value + '%' } }) })] })));
});
//# sourceMappingURL=ProgressBar.js.map