"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skeleton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = __importDefault(require("react"));
const defaultImports_1 = require("../_common/defaultImports");
const conditional_wrap_1 = require("../conditional-wrap");
exports.Skeleton = react_1.default.forwardRef(function Skeleton({ as, variant = 'rectangular', className, style, height, width, isLoading = true, children, htmlAttributes, onBackground = 'default', }, ref) {
    const Component = as || 'div';
    const classes = (0, defaultImports_1.classNames)(`ndl-skeleton ndl-skeleton-${variant}`, onBackground && `ndl-skeleton-${onBackground}`, className);
    return ((0, jsx_runtime_1.jsx)(conditional_wrap_1.ConditionalWrap, { shouldWrap: isLoading, wrap: (children) => ((0, jsx_runtime_1.jsx)(Component, Object.assign({ ref: ref, className: classes, style: Object.assign(Object.assign({}, style), { height,
                width }), "aria-busy": true, tabIndex: -1 }, htmlAttributes, { children: (0, jsx_runtime_1.jsx)("div", { "aria-hidden": isLoading, className: "ndl-skeleton-content", tabIndex: -1, children: children }) }))), children: children }));
});
//# sourceMappingURL=Skeleton.js.map