/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleControlled = exports.Range = exports.Single = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Slider_1 = require("../Slider");
const _1 = require(".");
const componentMeta = {
    component: Slider_1.Slider,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Slider',
    id: 'components-slider',
};
exports.default = componentMeta;
exports.Single = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SliderSingleSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => (0, jsx_runtime_1.jsx)(_1.SliderSingleDemo, {}),
};
exports.Range = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SliderRangeSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => (0, jsx_runtime_1.jsx)(_1.SliderRangeDemo, {}),
};
exports.SingleControlled = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: _1.SliderSingleControlledSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => (0, jsx_runtime_1.jsx)(_1.SliderSingleControlledDemo, {}),
};
//# sourceMappingURL=slider.stories.js.map