"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTimePickerPopover = useTimePickerPopover;
exports.useKeyboardNavigation = useKeyboardNavigation;
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const react_1 = require("react");
function useTimePickerPopover(openInitially) {
    const [isPopoverOpen, setIsPopoverOpen] = (0, react_1.useState)(openInitially);
    return { isPopoverOpen, setIsPopoverOpen };
}
function useKeyboardNavigation(listRef, maxIndex) {
    const [focusedIndex, setFocusedIndex] = (0, react_1.useState)(0);
    const handleArrowNavigation = (key) => {
        if (key === 'ArrowDown') {
            setFocusedIndex((prev) => (prev + 1) % maxIndex);
        }
        else if (key === 'ArrowUp') {
            setFocusedIndex((prev) => (prev - 1 + maxIndex) % maxIndex);
        }
    };
    (0, react_1.useEffect)(() => {
        var _a, _b;
        (_b = (_a = listRef.current) === null || _a === void 0 ? void 0 : _a.children[focusedIndex]) === null || _b === void 0 ? void 0 : _b.scrollIntoView({
            block: 'center',
            inline: 'nearest',
        });
    }, [focusedIndex, listRef]);
    return { focusedIndex, setFocusedIndex, handleArrowNavigation };
}
//# sourceMappingURL=time-picker-hooks.js.map