/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Widget = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const defaultImports_1 = require("../_common/defaultImports");
const ResizeCorner_1 = __importDefault(require("../icons/generated/custom/ResizeCorner"));
/**
 *
 *
 * Widget Component
 *
 *
 */
exports.Widget = (0, react_1.forwardRef)(function Widget({ header, subheader, leftMenu, rightMenu, isElevated = false, isResizeable = false, resizeableProps, children, className, htmlAttributes, }, ref) {
    var _a;
    const classes = (0, defaultImports_1.classNames)('ndl-widget', className, {
        'ndl-leftmenu': leftMenu,
        'ndl-elevated': isElevated,
    });
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes, ref: ref }, htmlAttributes, { children: [(0, jsx_runtime_1.jsxs)("header", { className: "ndl-header-wrapper", children: [(0, jsx_runtime_1.jsxs)("div", { className: "ndl-header-left", children: [leftMenu, (0, jsx_runtime_1.jsxs)("div", { className: "ndl-headers n-flex n-flex-col", children: [(0, jsx_runtime_1.jsx)("div", { className: "ndl-header", children: header }), (0, jsx_runtime_1.jsx)("div", { className: "ndl-subheader", children: subheader })] })] }), rightMenu] }), (0, jsx_runtime_1.jsx)("div", { className: "ndl-widget-content n-flex-grow", children: children }), isResizeable && ((0, jsx_runtime_1.jsx)("button", Object.assign({ "aria-label": "Resizing handle" }, resizeableProps, { className: `ndl-resize-handle ${(_a = resizeableProps === null || resizeableProps === void 0 ? void 0 : resizeableProps.className) !== null && _a !== void 0 ? _a : ''}`, children: (0, jsx_runtime_1.jsx)(ResizeCorner_1.default, {}) })))] })));
});
//# sourceMappingURL=Widget.js.map