import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import '@neo4j-ndl/base/lib/neo4j-ds-styles.css';
import { Accordion, Checkbox } from '@neo4j-ndl/react';
import { useState } from 'react';
const Component = () => {
    const itemIds = ['item-1', 'item-2', 'item-3', 'item-4'];
    const [expandedItemIds, setExpandedItemIds] = useState([
        itemIds[1],
    ]);
    const onChange = (expandedItemIds) => setExpandedItemIds(expandedItemIds);
    const onExpandedChange = (hasExpanded) => console.info(`Expanded change: ${hasExpanded}`);
    return (_jsxs(Accordion, { expandedItemIds: expandedItemIds, isMultiple: true, onChange: onChange, children: [_jsx(Accordion.CleanItem, { itemId: itemIds[0], title: `Accordion ${itemIds[0]}`, children: itemIds[0] }), _jsx(Accordion.CleanItem, { arrowPosition: "right", isDisabled: false, itemId: itemIds[1], onExpandedChange: onExpandedChange, rightContent: _jsx(Checkbox, { label: "Right content" }), title: `Accordion ${itemIds[1]}`, titleTypographyVariant: "h6", children: itemIds[1] }), _jsx(Accordion.CleanItem, { itemId: itemIds[2], title: `Accordion ${itemIds[2]}`, children: itemIds[2] }), _jsx(Accordion.CleanItem, { itemId: itemIds[3], title: `Accordion ${itemIds[3]}`, children: itemIds[3] })] }));
};
export default Component;
//# sourceMappingURL=accordion-full.story.js.map