/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { Accordion } from '../../index';
import { AccordionCleanItems, AccordionCleanItemsSrc, AccordionDefault, AccordionDefaultSrc, AccordionFull, AccordionFullSrc, AccordionMultipleExpanded, AccordionMultipleExpandedSrc, AccordionRightContent, AccordionRightContentSrc, AccordionSingleExpanded, AccordionSingleExpandedSrc, } from './';
const componentMeta = {
    title: 'Components/Accordion',
    id: 'components-accordion',
    component: Accordion,
    tags: ['docsPage'],
    parameters: {
        controls: { disable: true },
    },
};
export default componentMeta;
export const Default = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: AccordionDefault,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionDefaultSrc,
            },
        },
    },
};
export const SingleExpanded = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: AccordionSingleExpanded,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionSingleExpandedSrc,
            },
        },
    },
};
export const MultipleExpanded = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: AccordionMultipleExpanded,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionMultipleExpandedSrc,
            },
        },
    },
};
export const CleanItems = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: AccordionCleanItems,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionCleanItemsSrc,
            },
        },
    },
};
export const RightContent = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    render: AccordionRightContent,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionRightContentSrc,
            },
        },
    },
};
export const Full = {
    args: {
        children: undefined,
        isMultiple: undefined,
        expandedItemId: null,
        onChange: () => undefined,
    },
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: AccordionFullSrc,
            },
        },
    },
    render: AccordionFull,
};
//# sourceMappingURL=accordion.stories.js.map