/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { Banner } from '../../index';
import { BannerCloseable, BannerCloseableSrc, BannerGlobal, BannerGlobalSrc, BannerTypes, BannerTypesSrc, BannerWithActions, BannerWithActionsSrc, BannerWithIcons, BannerWithIconsSrc, BannerWithoutTitle, BannerWithoutTitleSrc, } from './';
const componentMeta = {
    title: 'Components/Banner',
    id: 'components-banner',
    component: Banner,
    tags: ['docsPage'],
    parameters: {
        controls: { disable: true },
    },
};
export default componentMeta;
export const Types = {
    args: {},
    render: BannerTypes,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerTypesSrc,
            },
        },
    },
};
export const WithIcons = {
    args: {},
    render: BannerWithIcons,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerWithIconsSrc,
            },
        },
    },
};
export const Closeable = {
    args: {},
    render: BannerCloseable,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerCloseableSrc,
            },
        },
    },
};
export const Global = {
    args: {},
    render: BannerGlobal,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerGlobalSrc,
            },
        },
    },
};
export const WithActions = {
    args: {},
    render: BannerWithActions,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerWithActionsSrc,
            },
        },
    },
};
export const WithoutTitle = {
    args: {},
    render: BannerWithoutTitle,
    parameters: {
        docs: {
            source: {
                language: 'tsx',
                type: 'code',
                code: BannerWithoutTitleSrc,
            },
        },
    },
};
//# sourceMappingURL=banner.stories.js.map