/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { ColorPicker } from '../ColorPicker';
import { ColorPickerCustomSwatches, ColorPickerCustomSwatchesSource, ColorPickerFull, ColorPickerFullSource, ColorPickerWithoutEyeDropper, ColorPickerWithoutEyeDropperSource, } from '.';
const componentMeta = {
    component: ColorPicker,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/ColorPicker',
    id: 'components-color-picker',
};
export default componentMeta;
export const Full = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: ColorPickerFullSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: ColorPickerFull,
};
export const WithoutEyeDropper = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: ColorPickerWithoutEyeDropperSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: ColorPickerWithoutEyeDropper,
};
export const CustomSwatches = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: ColorPickerCustomSwatchesSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: ColorPickerCustomSwatches,
};
//# sourceMappingURL=color-picker.stories.js.map