import { jsx as _jsx } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import classNames from 'classnames';
import { forwardRef } from 'react';
export const Divider = forwardRef(function Divider({ orientation = 'horizontal', as, style, className, htmlAttributes, }, ref) {
    const classes = classNames('ndl-divider', className, {
        'ndl-divider-horizontal': orientation === 'horizontal',
        'ndl-divider-vertical': orientation === 'vertical',
    });
    const Component = as || 'div';
    return (_jsx(Component, Object.assign({ className: classes, style: style, role: "separator", "aria-orientation": orientation, ref: ref }, htmlAttributes)));
});
//# sourceMappingURL=Divider.js.map