/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { GraphVisualizationBarebones, GraphVisualizationBarebonesSrc, GraphVisualizationCustom, GraphVisualizationCustomSrc, GraphVisualizationDefault, GraphVisualizationDefaultSrc, GraphVisualizationMaximalist, GraphVisualizationMaximalistSrc, } from '.';
const componentMeta = {
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Next/GraphVisualization',
    id: 'components-next-graph-visualization',
};
export default componentMeta;
export const Default = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: GraphVisualizationDefaultSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: GraphVisualizationDefault,
};
export const Barebones = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: GraphVisualizationBarebonesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: GraphVisualizationBarebones,
};
export const Maximalist = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: GraphVisualizationMaximalistSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: GraphVisualizationMaximalist,
};
export const CustomIslands = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: GraphVisualizationCustomSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: GraphVisualizationCustom,
};
//# sourceMappingURL=graph-visualization.stories.js.map