/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
export const StoryGraph = {
    nodes: [
        {
            id: 'node1',
            labels: ['Pokemon', 'Legendary'],
            properties: {
                durationToWinBattle: {
                    stringified: 'P0M0DT0.000000001S',
                    type: 'duration',
                },
                favoriteColors: {
                    stringified: '["red", "blue", "green"]',
                    type: 'list',
                },
                getsBeatBy: {
                    stringified: 'null',
                    type: 'null',
                },
                isAwesome: {
                    stringified: 'true',
                    type: 'boolean',
                },
                location: {
                    stringified: 'point({srid:1, x:100, y:200, z:300})',
                    type: 'point',
                },
                name: {
                    stringified: '"Rayquaza"',
                    type: 'string',
                },
                weight: {
                    stringified: '392.0',
                    type: 'float',
                },
            },
        },
        {
            id: 'node2',
            labels: ['Type'],
            properties: { name: { stringified: 'Dragon', type: 'String' } },
        },
        {
            id: 'node3',
            labels: ['Type'],
            properties: { name: { stringified: 'Flying', type: 'String' } },
        },
    ],
    rels: [
        {
            from: 'node1',
            id: 'rel1',
            properties: {},
            to: 'node2',
            type: 'HAS_TYPE',
        },
        {
            from: 'node1',
            id: 'rel2',
            properties: {},
            to: 'node3',
            type: 'HAS_TYPE',
        },
    ],
};
export const containerClasses = 'n-w-full n-border-palette-neutral-border-weak n-mx-2 n-rounded-lg n-border';
//# sourceMappingURL=story-data.js.map