import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import '@neo4j-ndl/base/lib/neo4j-ds-styles.css';
import { Menu } from '@neo4j-ndl/react';
import { BuildingOffice2IconOutline, CheckIconOutline, FolderIconOutline, Neo4JIconColorIcon, } from '@neo4j-ndl/react/icons';
import { Breadcrumbs } from '@neo4j-ndl/react/next';
import { useRef, useState } from 'react';
const Component = () => {
    const [isOrganizationMenuOpen, setIsOrganizationMenuOpen] = useState(false);
    const organizationMenuRef = useRef(null);
    return (_jsxs(Breadcrumbs, { children: [_jsx(Breadcrumbs.Item, { className: "n-mr-token-4", children: _jsx("button", { "aria-label": "Home", className: "n-rounded-sm focus-visible:n-outline-2 focus-visible:n-outline-offset-[3px] focus-visible:n-outline-palette-primary-focus", children: _jsx(Neo4JIconColorIcon, { className: "n-h-6 n-w-[26px]" }) }) }), _jsxs(Breadcrumbs.Item, { children: [_jsxs(Breadcrumbs.Button, { children: [_jsx(BuildingOffice2IconOutline, {}), "Organization 1"] }), _jsx(Breadcrumbs.SelectButton, { ref: organizationMenuRef, ariaLabel: "Open organization menu", onClick: () => {
                            setIsOrganizationMenuOpen(!isOrganizationMenuOpen);
                        }, children: _jsx(Menu, { anchorRef: organizationMenuRef, isOpen: isOrganizationMenuOpen, onClose: () => setIsOrganizationMenuOpen(false), children: _jsxs(Menu.Items, { children: [_jsx(Menu.Item, { title: "Organization 1", icon: _jsx(CheckIconOutline, {}) }), _jsx(Menu.Item, { title: "Organization 2" }), _jsx(Menu.Divider, {}), _jsx(Menu.Item, { title: "All Organizations" })] }) }) })] }), _jsxs(Breadcrumbs.Item, { children: [_jsxs(Breadcrumbs.Button, { children: [_jsx(FolderIconOutline, {}), "Project 1"] }), _jsx(Breadcrumbs.SelectButton, { ariaLabel: "Open project menu" })] })] }));
};
export default Component;
//# sourceMappingURL=breadcrumbs-header.story.js.map