import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import '@neo4j-ndl/base/lib/neo4j-ds-styles.css';
import { Typography } from '@neo4j-ndl/react';
import { AcademicCapIconOutline, ChartBarIconOutline, CodeBracketIconOutline, Cog6ToothIconOutline, HomeIconOutline, MagnifyingGlassIconOutline, ServerIconOutline, WrenchScrewdriverIconOutline, } from '@neo4j-ndl/react/icons';
import { SideNavigation } from '@neo4j-ndl/react/next';
import { useState } from 'react';
const Component = () => {
    const [selected, setSelected] = useState(null);
    return (_jsxs("div", { className: "n-h-[calc(40vh-32px)] n-min-h-[700px] n-flex n-bg-palette-neutral-bg-default", children: [_jsxs(SideNavigation, { isExpanded: false, shouldExpandOnHover: false, children: [_jsxs(SideNavigation.List, { children: [_jsx(SideNavigation.NavItem, { icon: _jsx(HomeIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-1', htmlAttributes: {
                                    onClick: () => {
                                        setSelected('nav-item-1');
                                    },
                                } }), _jsx(SideNavigation.NavItem, { icon: _jsx(CodeBracketIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-2', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-2'),
                                } })] }), _jsx(SideNavigation.Divider, {}), _jsxs(SideNavigation.List, { children: [_jsx(SideNavigation.NavItem, { icon: _jsx(ServerIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-3', htmlAttributes: {
                                    onClick: () => {
                                        setSelected('nav-item-3');
                                    },
                                } }), _jsxs(SideNavigation.CategoryItem, { icon: _jsx(WrenchScrewdriverIconOutline, {}), label: "Category Item", isSelected: ['nav-item-4', 'nav-item-5'].includes(selected !== null && selected !== void 0 ? selected : ''), children: [_jsx(SideNavigation.NavItem, { icon: _jsx(MagnifyingGlassIconOutline, {}), label: "Nested Nav Item", isSelected: selected === 'nav-item-4', htmlAttributes: {
                                            onClick: () => {
                                                setSelected('nav-item-4');
                                            },
                                        } }), _jsx(SideNavigation.NavItem, { icon: _jsx(MagnifyingGlassIconOutline, {}), label: "Nested Nav Item", isSelected: selected === 'nav-item-5', htmlAttributes: {
                                            onClick: () => setSelected('nav-item-5'),
                                        } })] }), _jsx(SideNavigation.NavItem, { icon: _jsx(ChartBarIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-6', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-6'),
                                } }), _jsx(SideNavigation.NavItem, { icon: _jsx(Cog6ToothIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-7', htmlAttributes: {
                                    onClick: () => setSelected('nav-item-7'),
                                } })] }), _jsx(SideNavigation.Divider, {}), _jsx(SideNavigation.List, { children: _jsx(SideNavigation.NavItem, { icon: _jsx(AcademicCapIconOutline, {}), label: "Nav Item", isSelected: selected === 'nav-item-8', htmlAttributes: {
                                onClick: () => setSelected('nav-item-8'),
                            } }) })] }), _jsx("div", { className: "n-h-full n-w-full", children: _jsx("div", { className: "n-flex n-flex-col n-p-8 n-w-full n-max-w-[1024px] n-mx-auto", children: _jsxs("div", { className: "n-flex n-flex-col n-gap-token-4 n-bg-palette-neutral-bg-weak n-p-token-8 n-rounded-lg n-items-center n-justify-center", children: [_jsx(Typography, { variant: "h6", children: "Compact Side Nav" }), _jsxs(Typography, { variant: "body-medium", children: ["When using a compact side nav you must make sure to set a", _jsx("b", { children: " label" }), " on the NavItems, as the label will be used for the built in tooltip. It is also needed for screen readers to behave as correctly."] })] }) }) })] }));
};
export default Component;
//# sourceMappingURL=side-nav-compact.story.js.map