/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { SideNavigation } from '../index';
import { SideNavBadges, SideNavBadgesSrc, SideNavCompact, SideNavCompactSrc, SideNavDefault, SideNavDefaultSrc, SideNavSecondary, SideNavSecondarySrc, } from '.';
const componentMeta = {
    component: SideNavigation,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Next/SideNavigation',
    id: 'components-next-side-navigation',
};
export default componentMeta;
export const Default = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: SideNavDefaultSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: SideNavDefault,
};
export const Compact = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: SideNavCompactSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: SideNavCompact,
};
export const WithSecondaryNav = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: SideNavSecondarySrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: SideNavSecondary,
};
export const WithBadges = {
    args: {},
    parameters: {
        docs: {
            source: {
                code: SideNavBadgesSrc,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: SideNavBadges,
};
//# sourceMappingURL=side-nav.stories.js.map