import { jsx as _jsx } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import RadioAndCheckboxWrapper from '../_common/input/RadioAndCheckboxWrapper';
/**
 *
 *
 * Helpers
 *
 *
 */
/** Add any helper functions here. */
/**
 *
 *
 * Radio Component
 *
 *
 */
export const Radio = React.forwardRef(function Radio(props, ref) {
    const { ariaLabel, isDisabled, label, isFluid, isChecked, isDefaultChecked, hasLabelBefore, isReadOnly, onClick, onChange, className, style, value, htmlAttributes, } = props;
    return (_jsx(RadioAndCheckboxWrapper, { type: "radio", ref: ref, ariaLabel: ariaLabel, isDisabled: isDisabled, label: label, isFluid: isFluid, isChecked: isChecked, isDefaultChecked: isDefaultChecked, hasLabelBefore: hasLabelBefore, onClick: onClick, onChange: onChange, className: className, style: style, value: value, isReadOnly: isReadOnly, htmlAttributes: Object.assign({ role: 'radio' }, htmlAttributes) }));
});
//# sourceMappingURL=Radio.js.map