/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { Slider } from '../Slider';
import { SliderRangeDemo, SliderRangeSource, SliderSingleControlledDemo, SliderSingleControlledSource, SliderSingleDemo, SliderSingleSource, } from '.';
const componentMeta = {
    component: Slider,
    parameters: {
        controls: { disable: true },
    },
    tags: ['docsPage'],
    title: 'Components/Slider',
    id: 'components-slider',
};
export default componentMeta;
export const Single = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: SliderSingleSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => _jsx(SliderSingleDemo, {}),
};
export const Range = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: SliderRangeSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => _jsx(SliderRangeDemo, {}),
};
export const SingleControlled = {
    // @ts-expect-error The args from the full story are not actually used but we get a type issue here
    args: {},
    parameters: {
        docs: {
            source: {
                code: SliderSingleControlledSource,
                language: 'tsx',
                type: 'code',
            },
        },
    },
    render: () => _jsx(SliderSingleControlledDemo, {}),
};
//# sourceMappingURL=slider.stories.js.map