import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { classNames } from '../_common/defaultImports';
import { ArrowUpRightIconOutline, ChevronRightIconOutline } from '../icons';
export const TextLink = React.forwardRef(function TextLink({ children, href, isExternalLink = false, type = 'internal-underline', as, className, target, htmlAttributes, }, ref) {
    const propsTarget = target || (isExternalLink || type === 'external' ? '_blank' : '');
    const Component = as || 'a';
    const classes = classNames('ndl-text-link', className, {
        'ndl-external-link': isExternalLink || type === 'external',
        'ndl-internal-icon': type === 'internal-icon',
    });
    return (_jsxs(Component, Object.assign({ className: classes, href: href, ref: ref }, (propsTarget && { target: propsTarget }), htmlAttributes, { children: [children, (isExternalLink || type === 'external') && (_jsx(ArrowUpRightIconOutline, { className: "ndl-external-link-icon" })), !isExternalLink && type === 'internal-icon' && (_jsx(ChevronRightIconOutline, { className: "ndl-external-link-icon" }))] })));
});
//# sourceMappingURL=TextLink.js.map