/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type StoryObj } from '@storybook/react-vite';
declare const componentMeta: {
    title: string;
    id: string;
    component: (<T extends import("../Accordion").AccordionItemId, U extends React.ElementType = "div">(props: import("../../_common/types").PolymorphicPropsWithoutRef<U, import("../Accordion").AccordionProps<T>> & import("react").RefAttributes<unknown>) => import("react").ReactElement | null) & {
        Item: {
            <T extends import("../Accordion").AccordionItemId, U extends React.ElementType = "div">({ className, ...restProps }: import("../../_common/types").PolymorphicPropsWithoutRef<U, {
                title: string;
                className?: string | undefined;
                children?: React.ReactNode;
                htmlAttributes?: import("../../_common/types").HtmlAttributes<"div"> | undefined;
                itemId: T;
                arrowPosition?: import("../Accordion").AccordionArrowPosition | undefined;
                isDisabled?: boolean | undefined;
                onExpandedChange?: ((expanded: boolean) => void) | undefined;
            }>): import("react/jsx-runtime").JSX.Element;
            displayName: string;
        };
        CleanItem: {
            <T extends import("../Accordion").AccordionItemId, U extends React.ElementType = "div">({ className, ...restProps }: import("../../_common/types").PolymorphicPropsWithoutRef<U, {
                title: string;
                className?: string | undefined;
                children?: React.ReactNode;
                htmlAttributes?: import("../../_common/types").HtmlAttributes<"div"> | undefined;
                itemId: T;
                arrowPosition?: import("../Accordion").AccordionArrowPosition | undefined;
                isDisabled?: boolean | undefined;
                onExpandedChange?: ((expanded: boolean) => void) | undefined;
                titleTypographyVariant?: import("../../index").TypographyVariants | undefined;
                rightContent?: React.ReactNode;
            }>): import("react/jsx-runtime").JSX.Element;
            displayName: string;
        };
    };
    tags: string[];
    parameters: {
        controls: {
            disable: boolean;
        };
    };
};
export default componentMeta;
type Story = StoryObj<typeof componentMeta>;
export declare const Default: Story;
export declare const SingleExpanded: Story;
export declare const MultipleExpanded: Story;
export declare const CleanItems: Story;
export declare const RightContent: Story;
export declare const Full: Story;
