/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
export type AvatarProps = {
    hasStatus?: boolean;
    isDisabled?: boolean;
    name?: string;
    shape?: 'circle' | 'square' | undefined;
    size?: 'small' | 'medium' | 'large' | 'x-large';
    /**  Source URI for the image. */
    source?: string;
    status?: 'offline' | 'online' | 'unknown' | undefined;
    type?: 'icon' | 'image' | 'letters';
} & ({
    as: 'button';
    onClick: () => void;
} | {
    as?: React.ElementType;
});
export declare const defaultProps: {
    as: "div";
    hasStatus: false;
    isDisabled: false;
    name: undefined;
    shape: "circle";
    size: "medium";
    source: undefined;
    status: undefined;
    type: "image";
};
export declare const Avatar: PolymorphicForwardRefExoticComponent<(typeof defaultProps)['as'], AvatarProps>;
