/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
import { type IconButtonProps } from './IconButton';
/**
 * Types
 */
export interface IconButtonArrayProps {
    children: React.ReactNode;
    orientation?: 'vertical' | 'horizontal';
    isFloating?: boolean;
    size?: 'small' | 'medium' | 'large';
    className?: string;
}
export interface CollapsibleButtonWrapperProps {
    children: React.ReactElement<IconButtonProps> | React.ReactElement<IconButtonProps>[];
}
export declare const IconButtonArrayComponent: PolymorphicForwardRefExoticComponent<'div', IconButtonArrayProps>;
declare const IconButtonArray: Omit<React.ForwardRefExoticComponent<IconButtonArrayProps & {
    [key: string]: unknown;
}>, "$$typeof"> & Omit<React.ExoticComponent<IconButtonArrayProps & {
    [key: string]: unknown;
}>, never> & (<InstanceT extends React.ElementType = "div">(props: import("../_common/types").PolymorphicPropsWithRef<InstanceT, IconButtonArrayProps>) => React.ReactElement | null) & {
    CollapsibleButtonWrapper: React.FC<CollapsibleButtonWrapperProps>;
};
export { IconButtonArray };
