/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
/**
 *
 *
 * Types
 *
 *
 */
export interface CalloutProps {
    /** Type of the callout */
    type?: CalloutType;
    /** Header of the callout */
    header?: string | React.ReactNode;
    /** Alternative for `description` */
    children?: React.ReactNode;
    /** Description of the callout. Will be ignored if `children` is passed */
    description?: string | React.ReactNode;
    className?: string;
}
export type CalloutType = 'note' | 'important' | 'example' | 'tip';
/**
 *
 *
 * Callout Component
 *
 *
 */
export declare const Callout: PolymorphicForwardRefExoticComponent<'div', CalloutProps>;
