/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { type ReactDatePickerProps } from 'react-datepicker';
import { type TextInputProps } from '../text-input/TextInput';
import { type TimePickerProps } from '../time-picker';
export interface DatePickerProps<WithRange extends boolean = false> {
    /** Add Component type here   */
    textInputProps?: TextInputProps;
    isDisabled?: boolean;
    timePickerProps?: TimePickerProps;
    /**
     * Props passed to the react-datepicker component
     * https://reactdatepicker.com/
     */
    reactDatePickerProps: ReactDatePickerProps<WithRange>;
    className?: string;
}
export declare const DatePicker: <T extends boolean>(props: DatePickerProps<T> & import("react").RefAttributes<HTMLInputElement>) => import("react").ReactElement | null;
