/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React, { type ReactElement } from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
/**
 *
 *
 * Types
 *
 *
 */
export interface DropdownButtonProps {
    /** Add Component type here   */
    children: React.ReactNode;
    /** Size of button */
    size?: 'small' | 'medium' | 'large';
    /** If the button is in floating state */
    isFloating?: boolean;
    /** If the button is in disabled state */
    isDisabled?: boolean;
    /** Element to be shown as left icon */
    leftIcon?: ReactElement;
    /** If the dropdown is activated */
    isOpen?: boolean;
    /** onClick callback*/
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    /** Extra classnames */
    className?: string;
}
/**
 *
 *
 * DropdownButton Component
 *
 *
 */
export declare const DropdownButton: PolymorphicForwardRefExoticComponent<'button', DropdownButtonProps>;
