/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Takes a color string and returns color string
 * that is readable on top of that background. Prioritizes pallete
 *  text colors and uses black or white as fallback.
 */
export declare const getTextColorFromBackground: (color: string) => string;
/**
 * Takes a color string and returns a color string
 * that is darker or lighter depending on the given color.
 */
export declare const getHoverColor: (color: string) => string;
/**
 * Returns the most readable color on the given background color
 *  as a string from a list of palette text colors
 */
export declare const getDisabledTextColor: (backgroundColor: string) => string;
/**
 * Takes a color string and returns a color string
 * that is darker or lighter depending on the given color.
 */
export declare const getDisabledColor: (color: string) => string;
