/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type TooltipProps } from '@neo4j-ndl/react';
import { type CSSProperties, type PropsWithChildren } from 'react';
import { type HtmlAttributes } from '../_common/types';
type GraphVisualizationButtonProps = {
    className?: string;
    style?: CSSProperties;
    htmlAttributes?: HtmlAttributes<'button'>;
    tooltipPlacement?: TooltipProps['placement'];
};
type BaseProperties = GraphVisualizationButtonProps & {
    tipContent: string;
    testid?: string;
    ariaLabel?: string;
    isActive?: boolean;
    isDisabled?: boolean;
    onClick?: () => void;
    onMouseDown?: () => void;
};
export type GraphVisualizationGroupButton = PropsWithChildren<BaseProperties>;
export declare const GroupButton: (props: GraphVisualizationGroupButton) => import("react/jsx-runtime").JSX.Element;
export declare const SingleSelectButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const BoxSelectButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const LassoSelectButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ZoomInButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ZoomOutButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ZoomToFitButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ToggleSidePanelButton: ({ className, htmlAttributes, style, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const DownloadButton: ({ className, style, htmlAttributes, tooltipPlacement, }: GraphVisualizationButtonProps) => import("react/jsx-runtime").JSX.Element;
export {};
