/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type NeoNode, type NeoRel, type NvlGraph } from './graph-visualization-context';
export type CaptionOption = {
    type: 'id';
    captionSize?: number;
} | {
    type: 'type';
    captionSize?: number;
} | {
    type: 'property';
    captionKey: string;
    captionSize?: number;
};
export declare const DEFAULT_REL_COLOR: string;
export declare const NO_LABEL_FALLBACK_COLOR: string;
export declare const captionPriorityOrder: RegExp[];
export declare function getDefaultCaptionKey(options: CaptionOption[]): CaptionOption | undefined;
export declare function mapToNvlGraph(rawNodes: NeoNode[], rawRels: NeoRel[]): NvlGraph;
