/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import type React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
/**
 *
 *
 * Types
 *
 *
 */
export declare const LabelColors: readonly ["info", "success", "warning", "danger", "default", "discovery"];
export declare const LabelFill: readonly ["filled", "outlined", "semi-filled", "clean"];
export interface EventTypeLabelProps {
    /** Additional Classnames */
    className?: string;
    children: React.ReactNode | string;
    color?: (typeof LabelColors)[number];
    /** Fill type of label */
    fill?: (typeof LabelFill)[number];
    /** If label should have an icon */
    hasIcon?: boolean;
}
export declare const Label: PolymorphicForwardRefExoticComponent<'span', EventTypeLabelProps>;
