/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type StoryObj } from '@storybook/react-vite';
declare const componentMeta: {
    component: import("react").ForwardRefExoticComponent<{
        children?: React.ReactNode;
        className?: string;
        style?: React.CSSProperties;
        htmlAttributes?: import("../../../_common/types").HtmlAttributes<"nav">;
    } & import("react").RefAttributes<HTMLElement>> & {
        Button: import("../../../_common/types").PolymorphicForwardRefExoticComponent<"button", {
            children?: React.ReactNode;
        } & ({
            as: "button";
            onClick?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
        } | {
            as: "a";
            href: import("../../../_common/types").HtmlAttributes<"a">["href"];
            target?: import("../../../_common/types").HtmlAttributes<"a">["target"];
        } | {
            as?: React.ElementType;
        })>;
        Item: import("react").ForwardRefExoticComponent<{
            children?: React.ReactNode;
            className?: string;
            style?: React.CSSProperties;
            htmlAttributes?: import("../../../_common/types").HtmlAttributes<"li">;
        } & import("react").RefAttributes<HTMLLIElement>>;
        Link: import("../../../_common/types").PolymorphicForwardRefExoticComponent<"a", ({
            children?: React.ReactNode;
        } & ({
            as: "button";
            onClick?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
        } | {
            as: "a";
            href: import("../../../_common/types").HtmlAttributes<"a">["href"];
            target?: import("../../../_common/types").HtmlAttributes<"a">["target"];
        } | {
            as?: React.ElementType;
        })) & {
            ariaCurrent?: React.AriaAttributes["aria-current"];
        }>;
        SelectButton: import("react").ForwardRefExoticComponent<{
            onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
            ariaLabel: string;
            children?: React.ReactNode;
            className?: string;
            style?: React.CSSProperties;
            htmlAttributes?: import("../../../_common/types").HtmlAttributes<"button">;
        } & import("react").RefAttributes<HTMLButtonElement>>;
    };
    parameters: {
        controls: {
            disable: boolean;
        };
    };
    tags: string[];
    title: string;
    id: string;
};
export default componentMeta;
type Story = StoryObj<typeof componentMeta>;
export declare const HeaderNavigation: Story;
export declare const PageNavigation: Story;
export declare const MultiStepNavigation: Story;
export declare const Ellipses: Story;
