/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type StoryObj } from '@storybook/react-vite';
declare const componentMeta: {
    component: import("react").ForwardRefExoticComponent<{
        children?: React.ReactNode;
        className?: string;
        style?: React.CSSProperties;
        htmlAttributes?: import("../../../_common/types").HtmlAttributes<"nav">;
        isExpanded?: boolean;
        shouldExpandOnHover?: boolean;
        pinButtonCallback?: () => void;
        expandedWidth?: React.CSSProperties["width"];
    } & import("react").RefAttributes<HTMLDivElement>> & {
        CategoryHeader: ({ children, className }: {
            children?: React.ReactNode;
            className?: string;
        }) => import("react/jsx-runtime").JSX.Element;
        CategoryItem: import("react").ForwardRefExoticComponent<{
            icon?: React.ReactNode;
            label?: string;
            isSelected?: boolean;
            badge?: {
                number: number;
                type: import("../../../_common/IconIndicatorWrapper").IconIndicatorType;
            };
        } & {
            children?: React.ReactNode;
            className?: string;
            style?: React.CSSProperties;
            htmlAttributes?: import("../../../_common/types").HtmlAttributes<"button">;
            isMenuOpen?: boolean;
        } & import("react").RefAttributes<HTMLButtonElement>>;
        Divider: () => import("react/jsx-runtime").JSX.Element;
        ItemBadge: ({ number, type }: {
            number: number;
            type: import("../../../_common/IconIndicatorWrapper").IconIndicatorType;
        }) => import("react/jsx-runtime").JSX.Element;
        List: import("react").ForwardRefExoticComponent<{
            children?: React.ReactNode;
            className?: string;
            style?: React.CSSProperties;
        } & import("react").RefAttributes<HTMLUListElement>>;
        NavItem: import("../../../_common/types").PolymorphicForwardRefExoticComponent<"button", {
            icon?: React.ReactNode;
            label?: string;
            isSelected?: boolean;
            badge?: {
                number: number;
                type: import("../../../_common/IconIndicatorWrapper").IconIndicatorType;
            };
        } & ({
            rightElement?: React.ReactNode;
        } & ({
            as: "button";
            onClick?: import("../../../_common/types").HtmlAttributes<"button">["onClick"];
        } | {
            as?: React.ElementType;
        } | {
            as: "a";
            href?: import("../../../_common/types").HtmlAttributes<"a">["href"];
            target?: import("../../../_common/types").HtmlAttributes<"a">["target"];
        }))>;
    };
    parameters: {
        controls: {
            disable: boolean;
        };
    };
    tags: string[];
    title: string;
    id: string;
};
export default componentMeta;
type Story = StoryObj<typeof componentMeta>;
export declare const Default: Story;
export declare const Compact: Story;
export declare const WithSecondaryNav: Story;
export declare const WithBadges: Story;
