/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { type ClearIndicatorProps, type ControlProps, type DropdownIndicatorProps, type GroupBase, type IndicatorsContainerProps, type InputProps, type MenuProps, type MultiValueProps, type OptionProps, type PlaceholderProps, type SingleValueProps, type ValueContainerProps } from 'react-select';
import { type MenuListProps, type MenuPortalProps } from 'react-select/dist/declarations/src/components/Menu';
import { type SelectOverrideCustomProps } from './types';
export declare const DropdownIndicatorCurrying: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => (props: DropdownIndicatorProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomClearIndication: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ className, ...restProps }: ClearIndicatorProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomMultiValue: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: MultiValueProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomPlaceholder: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: PlaceholderProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomControl: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, hasBorder, errorText, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: ControlProps) => import("react/jsx-runtime").JSX.Element;
export declare const CustomIndicatorsContainer: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: IndicatorsContainerProps) => import("react/jsx-runtime").JSX.Element;
export declare const CustomValueContainer: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: ValueContainerProps) => import("react/jsx-runtime").JSX.Element;
export declare const CustomInput: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: InputProps) => import("react/jsx-runtime").JSX.Element;
export declare const CustomSingleValue: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ className, ...restProps }: SingleValueProps) => import("react/jsx-runtime").JSX.Element;
/** Overrides that are part of the popover menu */
export declare const CustomMenu: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: MenuProps) => import("react/jsx-runtime").JSX.Element;
export declare const CustomMenuPortal: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: MenuPortalProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomMenuList: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: MenuListProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
export declare const CustomOption: <OptionType, IsMulti extends boolean = false, GroupType extends GroupBase<OptionType> = GroupBase<OptionType>>({ size, }: SelectOverrideCustomProps<OptionType, IsMulti, GroupType>) => ({ children, className, ...restProps }: OptionProps<OptionType, IsMulti, GroupType>) => import("react/jsx-runtime").JSX.Element;
