/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
import { type IndicatorPlacement, type IndicatorVariant } from './use-indicator';
type SpotlightTargetProps = {
    /** id of the target. should match with target prop in Spotlight */
    id: string;
    /** if the target should have a pulse animation. default behaviour is true */
    hasPulse?: boolean;
    /** variant of the target indicator */
    indicatorVariant?: IndicatorVariant;
    /** placement of the indicator. only applicable to point variant */
    indicatorPlacement?: IndicatorPlacement;
    /** background color */
    backgroundColor?: React.CSSProperties['backgroundColor'];
    /** border radius */
    borderRadius?: React.CSSProperties['borderRadius'];
    /** Use anchorEl for portal's container. Should be used if the spotlight target is inside an Dialog */
    hasAnchorPortal?: boolean;
    className?: string;
    children?: React.ReactNode;
    /** Fit the target size to the children. */
    shouldFitToChildren?: boolean;
};
export declare const SpotlightTarget: PolymorphicForwardRefExoticComponent<'div', SpotlightTargetProps>;
export {};
