/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import type React from 'react';
import { Spotlight, type SpotlightCloseAction } from './Spotlight';
type SpotlightTourAction = SpotlightCloseAction | 'dismiss' | 'back' | 'next' | 'close' | 'open';
type SpotlightTourProps = {
    /** Array of spotlights */
    spotlights: React.ComponentProps<typeof Spotlight>[];
    /** Text override for dismiss button */
    dismissButtonText?: string;
    /** Text override for back button */
    backButtonText?: string;
    /** Text override for next button */
    nextButtonText?: string;
    /** Text override for close button */
    closeButtonText?: string;
    /** Callback function on button clicks, outside clicks, and escape key down  */
    onAction?: (target: string, action: SpotlightTourAction) => void;
};
export declare const SpotlightTour: (props: SpotlightTourProps) => import("react/jsx-runtime").JSX.Element;
export {};
