/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { useFloating, type UseInteractionsReturn } from '@floating-ui/react';
export type IndicatorVariant = 'border' | 'point';
interface IndicatorOptions {
    isOpen: boolean;
    indicatorVariant?: IndicatorVariant;
    indicatorPlacement?: IndicatorPlacement;
    targetRef: React.RefObject<HTMLElement>;
    hasPulse?: boolean;
    hasAnchorPortal?: boolean;
}
interface UseIndicatorReturn extends UseInteractionsReturn, ReturnType<typeof useFloating> {
    style: React.CSSProperties;
    indicatorClasses?: string;
    hasAnchorPortal?: boolean;
}
export type IndicatorPlacement = 'top-left' | 'top-middle' | 'top-right' | 'bottom-left' | 'bottom-middle' | 'bottom-right' | 'middle-left' | 'middle-middle' | 'middle-right';
export declare function useIndicator({ isOpen, indicatorVariant, indicatorPlacement, targetRef, hasPulse, }: IndicatorOptions): UseIndicatorReturn;
export {};
