/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { type PolymorphicForwardRefExoticComponent } from '../_common/types';
type TextLinkType = 'internal-underline' | 'internal-icon' | 'external';
export interface TextLinkProps {
    /** The text of the link. */
    children: React.ReactNode;
    /** The hypertext reference. */
    href?: string;
    /**
     * Adds an external-icon and sets the `target` to `"_blank"`.
     * If a `target` is set, the component will use that value instead.
     * @deprecated Use `type` instead.
     */
    isExternalLink?: boolean;
    /** The type of the text link */
    type?: TextLinkType;
    target?: string;
    className?: string;
}
export declare const TextLink: PolymorphicForwardRefExoticComponent<'a', TextLinkProps>;
export {};
