/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import type React from 'react';
import { type HtmlAttributes } from '../_common/types';
import { NeedleTime } from './needle-time';
export type TimeFormat = 'hh:mm' | 'hh:mm aa';
export interface TimePickerProps {
    selected?: NeedleTime;
    format?: TimeFormat;
    isFluid?: boolean;
    isReadOnly?: boolean;
    isRequired?: boolean;
    isDisabled?: boolean;
    timeInterval?: number;
    label?: string;
    size?: 'small' | 'medium' | 'large';
    errorText?: string;
    className?: string;
    style?: React.CSSProperties;
    onChange?: (time: NeedleTime) => void;
    onError?: (error: string, time: NeedleTime) => void;
    /** HTML attributes */
    htmlAttributes?: HtmlAttributes<'div'>;
}
export declare const TimePicker: React.ForwardRefExoticComponent<TimePickerProps & React.RefAttributes<HTMLInputElement>>;
