/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { type Placement, type ReferenceType, type UseFloatingReturn, type UseInteractionsReturn } from '@floating-ui/react';
export interface TooltipOptions {
    isInitialOpen?: boolean;
    placement?: Placement;
    isOpen?: boolean;
    onOpenChange?: (open: boolean) => void;
    type?: 'simple' | 'rich';
    isPortaled?: boolean;
    strategy?: 'fixed' | 'absolute';
    hoverDelay?: {
        open: number;
        close: number;
    };
}
export declare function useTooltip({ isInitialOpen, placement, isOpen: controlledOpen, onOpenChange: setControlledOpen, type, isPortaled, strategy, hoverDelay, }?: TooltipOptions): {
    isOpen: boolean;
    setOpen: (open: boolean) => void;
    type: 'simple' | 'rich';
    isPortaled: boolean;
} & UseInteractionsReturn & UseFloatingReturn<ReferenceType>;
type ContextType = ReturnType<typeof useTooltip> | null;
export declare const TooltipContext: import("react").Context<ContextType>;
export declare const useTooltipContext: () => ReturnType<typeof useTooltip>;
export {};
