/**
 *
 *  Copyright (c) "Neo4j"
 *  Neo4j Sweden AB [http://neo4j.com]
 *
 *  This file is part of Neo4j.
 *
 *  Neo4j is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import type React from 'react';
import { type HtmlAttributes } from '../_common/types';
/**
 *
 *
 * Types
 *
 *
 */
type CommonProps = {
    header: React.ReactNode;
    subheader?: React.ReactNode;
    leftMenu?: React.ReactNode;
    rightMenu?: React.ReactNode;
    isElevated?: boolean;
    children: React.ReactNode;
    /** HTML attributes */
    htmlAttributes?: HtmlAttributes<'div'>;
};
/**
 *
 *
 * Widget Component
 *
 *
 */
export declare const Widget: React.ForwardRefExoticComponent<(Omit<CommonProps & {
    isResizeable?: false;
    resizeableProps?: never;
} & React.HTMLProps<HTMLDivElement>, "ref"> | Omit<CommonProps & {
    isResizeable: true;
    resizeableProps?: React.ButtonHTMLAttributes<HTMLButtonElement>;
} & React.HTMLProps<HTMLDivElement>, "ref">) & React.RefAttributes<HTMLDivElement>>;
export {};
